Get agreement document
curl --request GET \
--url https://test-api.shodai.network/v0/agreements/documents/{documentId} \
--header 'X-API-Key: <api-key>'const options = {method: 'GET', headers: {'X-API-Key': '<api-key>'}};
fetch('https://test-api.shodai.network/v0/agreements/documents/{documentId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));{
"data": {
"documentId": "7b0f6c2d-3e4f-4a5b-8c9d-0e1f2a3b4c5d",
"docUri": "https://test-api.shodai.network/v0/agreements/documents/7b0f6c2d-3e4f-4a5b-8c9d-0e1f2a3b4c5d",
"agreementId": "agr_123",
"agreementAddress": "0x3333333333333333333333333333333333333333",
"chainId": 59141,
"displayName": "Advisory Retainer",
"contentType": "text/markdown",
"content": "# Advisory Retainer\n\nService agreement between provider and client.",
"docHash": "0x325698d320b8d4e884a856480df1d934877cb71cd39f08bd3c5a268bd21d82db",
"updatedAt": "2026-04-27T16:05:00.000Z"
},
"meta": {
"apiVersion": "v0",
"requestId": "<string>"
}
}{
"error": {
"code": "unauthorized",
"message": "Missing API credential",
"requestId": "<string>",
"details": "<unknown>"
}
}{
"error": {
"code": "unauthorized",
"message": "Missing API credential",
"requestId": "<string>",
"details": "<unknown>"
}
}{
"error": {
"code": "unauthorized",
"message": "Missing API credential",
"requestId": "<string>",
"details": "<unknown>"
}
}{
"error": {
"code": "unauthorized",
"message": "Missing API credential",
"requestId": "<string>",
"details": "<unknown>"
}
}Agreement Documents
Get agreement document
Returns the rendered prose document associated with an agreement documentId. Access requires the same authorization as reading the agreement record.
GET
/
v0
/
agreements
/
documents
/
{documentId}
Get agreement document
curl --request GET \
--url https://test-api.shodai.network/v0/agreements/documents/{documentId} \
--header 'X-API-Key: <api-key>'const options = {method: 'GET', headers: {'X-API-Key': '<api-key>'}};
fetch('https://test-api.shodai.network/v0/agreements/documents/{documentId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));{
"data": {
"documentId": "7b0f6c2d-3e4f-4a5b-8c9d-0e1f2a3b4c5d",
"docUri": "https://test-api.shodai.network/v0/agreements/documents/7b0f6c2d-3e4f-4a5b-8c9d-0e1f2a3b4c5d",
"agreementId": "agr_123",
"agreementAddress": "0x3333333333333333333333333333333333333333",
"chainId": 59141,
"displayName": "Advisory Retainer",
"contentType": "text/markdown",
"content": "# Advisory Retainer\n\nService agreement between provider and client.",
"docHash": "0x325698d320b8d4e884a856480df1d934877cb71cd39f08bd3c5a268bd21d82db",
"updatedAt": "2026-04-27T16:05:00.000Z"
},
"meta": {
"apiVersion": "v0",
"requestId": "<string>"
}
}{
"error": {
"code": "unauthorized",
"message": "Missing API credential",
"requestId": "<string>",
"details": "<unknown>"
}
}{
"error": {
"code": "unauthorized",
"message": "Missing API credential",
"requestId": "<string>",
"details": "<unknown>"
}
}{
"error": {
"code": "unauthorized",
"message": "Missing API credential",
"requestId": "<string>",
"details": "<unknown>"
}
}{
"error": {
"code": "unauthorized",
"message": "Missing API credential",
"requestId": "<string>",
"details": "<unknown>"
}
}Authorizations
ApiKeyAuthOAuthBearerAuth
Canonical API-key credential. Send X-API-Key: cns_pk_..., or Authorization: Bearer cns_pk_... only as an API-key compatibility alias.
Path Parameters
Opaque hosted agreement document identifier.
Response
Rendered agreement prose document.
Authenticated resolver response for hosted agreement prose associated with an on-chain docUri.
Show child attributes
Show child attributes
Example:
{ "documentId": "7b0f6c2d-3e4f-4a5b-8c9d-0e1f2a3b4c5d", "docUri": "https://test-api.shodai.network/v0/agreements/documents/7b0f6c2d-3e4f-4a5b-8c9d-0e1f2a3b4c5d", "agreementId": "agr_123", "agreementAddress": "0x3333333333333333333333333333333333333333", "chainId": 59141, "displayName": "Advisory Retainer", "contentType": "text/markdown", "content": "# Advisory Retainer\n\nService agreement between provider and client.", "docHash": "0x325698d320b8d4e884a856480df1d934877cb71cd39f08bd3c5a268bd21d82db", "updatedAt": "2026-04-27T16:05:00.000Z" }
Show child attributes
Show child attributes
Was this page helpful?
⌘I